{% extends 'compare/base.html' %}

{% block content %}

{% include 'compare/header.html' %}

<section class="page-section" id="services">
    <div class="container">
        <h2 class="text-center mt-0">Création de compte.</h2>
        <hr class="divider my-4">
        <div class="row justify-content-center">
            <div class="col-lg-7 col-md col-sm">
                <div class="mt-5">

                    {% if user_result %}
                    {{ user_result }}
                    {% endif %}

                    {% if user.is_authenticated %}
                    Vous êtes connecté⋅e.
                    {% else %}
                    {{ next }}
                    <p>Entrez votre adresse email et un mot de passe pour créer un compte.</p>
                    {% if form.errors %}
                    {% for field in form %}
                    {% for error in field.errors %}
                    <div class="alert alert-danger">
                        <strong>{{ error|escape }}</strong>
                    </div>
                    {% endfor %}
                    {% endfor %}
                    {% for error in form.non_field_errors %}
                    <div class="alert alert-danger">
                        <strong>{{ error|escape }}</strong>
                    </div>
                    {% endfor %}
                    {% endif %}

                    {% if next %}
                    <form action="{% url 'compare:signup' %}?next={{next}}" method="post">
                        {% else %}
                        <form action="{% url 'compare:signup' %}" method="post">
                            {% endif %}

                            {% csrf_token %}
                            <div class="form-group row">
                                <label for="{{ form.email.id_for_label }}" class="col-sm-3 col-form-label">Email</label>
                                <div class="col-sm-8">
                                    {{ form.email}}
                                </div>

                                <label for="{{ form.password.id_for_label }}" class="col-sm-3 col-form-label">Mot de
                                    passe</label>
                                <div class="col-sm-8">
                                    {{ form.password}}
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-sm-2 offset-md-3">
                                    <button type="submit" class="btn btn-success">Valider</button>
                                    <input type="hidden" name="next" value="{{ next }}" </div> </div> </form>
                                        {% endif %} </div> </div> </div> </div> </section>
{% endblock content %}